@import url("https://fonts.googleapis.com/css2?family=Jura:wght@300;400;500;600;700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");

/* Common Styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  list-style-type: none;
  outline: none;
  font-family: "Jura", sans-serif;
  cursor: none;
}

html {
  scroll-behavior: smooth;
  font-size: 62.5%;
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Main Button */
.main-btn {
  position: absolute;
  bottom: 3rem;
  width: 13rem;
  height: 13rem;
  background-color: #9b0e0e;
  border-radius: 50%;
  border: 0.2rem dotted #fff;
  padding: 0.1rem;
  overflow: hidden;
}

.main-btn-content {
  width: 100%;
  height: 100%;
  border: 0.2rem dotted #e7be08;
  border-radius: 50%;
  transform: rotate(40deg);
  transition: transform 0.2s, border 0.2s;
}

.main-btn:hover .main-btn-content {
  transform: rotate(60deg);
  border: 0.2rem dotted #9b0e0e;
  transition: transform 0.2s 0.5s, border 0.2s;
}

.main-btn-line {
  position: absolute;
  top: 4rem;
  width: 3rem;
  height: 0.5rem;
  border: 0.1rem solid #fff;
}

.main-btn-line:nth-child(1) {
  transform: rotateZ(-45deg) translateX(-0.65rem);
  transform-origin: left center;
  border-right: none;
}

.main-btn-line:nth-child(2) {
  transform: rotateZ(45deg) translateX(0.65rem);
  transform-origin: right center;
  border-left: none;
}

.main-btn-line:nth-child(3) {
  transform: rotateZ(90deg) translateX(0.5rem);
  border-left: none;
}

.main-btn span {
  position: absolute;
  bottom: 3rem;
  color: #fff;
  font-size: 1.1rem;
  font-weight: 600;
  text-transform: uppercase;
}

.ripple {
  position: absolute;
  width: 0;
  height: 0;
  background-color: #e7be08;
  border-radius: 50%;
  transform: translate(-50%, -50%);
  animation: rippleAnim 0.5s forwards;
}

@keyframes rippleAnim {
  0% {
    width: 0;
    height: 0;
  }
  100% {
    width: 210%;
    height: 210%;
  }
}
/* End of Main Button */

/* Section Heading */
.section-heading {
  font-size: 2rem;
  font-weight: 300;
  color: #fff;
  text-transform: uppercase;
  position: absolute;
  top: 50%;
  left: 6rem;
  transform: translateY(-50%);
  width: 0;
  word-break: break-all;
  line-height: 4;
}
/* End of Section Heading */
/* End of Common Styles */

/* Mouse Circle */
.mouse-circle,
.mouse-dot {
  border-radius: 50%;
  position: fixed;
  z-index: 300;
  transform: translate(-50%, -50%);
  opacity: 0;
  pointer-events: none;
}

.mouse-circle {
  width: 6rem;
  height: 6rem;
  border: 0.1rem solid #c7a622;
  animation: mouseCircleAnim 10s infinite linear;
}

@keyframes mouseCircleAnim {
  0% {
    width: 6rem;
    height: 6rem;
  }
  25% {
    width: 8rem;
    height: 8rem;
  }
  35% {
    width: 4rem;
    height: 4rem;
  }
  70% {
    width: 8rem;
    height: 8rem;
  }
  100% {
    width: 6rem;
    height: 6rem;
  }
}

.mouse-dot {
  width: 0.5rem;
  height: 0.5rem;
  background-color: #9b0e0e;
  animation: mouseDotAnim 10s infinite linear;
}

@keyframes mouseDotAnim {
  0% {
    width: 0.5rem;
    height: 0.5rem;
  }
  55% {
    width: 1.5rem;
    height: 1.5rem;
  }
  100% {
    width: 0.5rem;
    height: 0.5rem;
  }
}
/* End of Mouse Circle */

/* Page BG */
.page-bg {
  position: fixed;
  width: 100%;
  height: 100vh;
}

.page-bg img {
  object-fit: cover;
  width: 100%;
  height: 100%;
  filter: brightness(0.3);
}
/* End of Page BG */

/* Progress Bar */
.progress-bar {
  position: fixed;
  bottom: 3rem;
  right: 6rem;
  width: 8rem;
  height: 8rem;
  background-color: #bbb;
  border-radius: 50%;
  z-index: 200;
  overflow: hidden;
}

.half-circle,
.half-circle-top {
  position: absolute;
  top: 0;
  left: 0;
  width: 50%;
  height: 100%;
  transform-origin: right center;
}

.half-circle:nth-child(1) {
  background-color: #b60000;
}

.half-circle:nth-child(2) {
  background-color: #b60000;
}

.half-circle-top {
  background-color: #bbb;
}

.progress-bar-circle {
  width: 7.4rem;
  height: 7.4rem;
  background-color: #000;
  border-radius: 50%;
  color: #fff;
  font-size: 4rem;
  z-index: 200;
  transition: transform 0.5s;
}
/* End of Progress Bar */

/* Navigation */
/* Menu Icon */
.menu-icon {
  position: fixed;
  top: 1rem;
  right: 4rem;
  width: 6rem;
  height: 6rem;
  flex-direction: column;
  opacity: 0;
  visibility: hidden;
  z-index: 100;
  transition: opacity 0.2s;
}

.menu-icon-line {
  width: 4rem;
  height: 0.1rem;
  background-color: #fff;
  margin: 0.5rem 0;
  box-shadow: 0 0.3rem 0.5rem #000;
}

.show-menu-icon {
  opacity: 1;
  visibility: visible;
}
/* End of Menu Icon */

/* Navbar */
.navbar {
  position: fixed;
  top: 2.5rem;
  width: 100%;
  display: flex;
  justify-content: flex-end;
  padding-right: 3.5rem;
  z-index: 100;
  transition: opacity 0.5s, visibility 0.5s, transform 0.5s;
}

.navbar-link {
  font-size: 1.5rem;
  font-weight: 700;
  text-transform: uppercase;
  color: #fff;
  margin: 0 2.5rem;
  text-shadow: 0 0.3rem 0.5rem #000;
}

.navbar-link:hover {
  border-bottom: 0.5rem solid #9b0e0e;
}

.hide-navbar {
  opacity: 0;
  visibility: hidden;
  transform: translateX(10rem);
}
/* End ofNavbar */
/* End of Navigation */

/* Section 1 */
h1 {
  font-size: 1.8rem;
}

.home {
  position: relative;
  width: 100%;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
/* Logo */
.logo {
  position: absolute;
  top: 2.5rem;
  left: 6rem;
  font-size: 2rem;
  text-transform: uppercase;
  color: #fff;
}
/* End of Logo */

/* Animated Circles */
.circles {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  grid-template-rows: repeat(2, 1fr);
}

.circle {
  width: 30rem;
  height: 30rem;
  border-radius: 50%;
  align-self: center;
  justify-self: center;
  opacity: 0.8;
  position: relative;
  top: 0;
  left: 0;
  transition: left 2s, top 2s;
}

.circle-1 {
  background: url(/images/dev_icon/html5-original.svg) center no-repeat;
  background-size: 60%;
}

.circle-2 {
  background: url(/images/dev_icon/nodejs-original.svg) center no-repeat;
  background-size: 70%;
}

.circle-3 {
  background: url(/images/dev_icon/react-original.svg) center no-repeat;
  background-size: 70%;
}

.circle-4 {
  background: url(/images/dev_icon/javascript-original.svg) center no-repeat;
  background-size: 55%;
}

.main-circle {
  width: 50rem;
  height: 50rem;
  position: absolute;
  overflow: hidden;
  border-radius: 50%;
  transition: width 0.2s, height 0.2s;
}

.main-circle img {
  position: relative;
  transition: left 2s, top 2s;
  top: 0;
  left: 0;
  filter: brightness(0.6);
}
/* End of Animated Circles */

/* Featured Text */
.featured-text {
  font-size: 2rem;
  color: #fff;
  text-transform: uppercase;
  width: 0;
  word-wrap: break-word;
  line-height: 3.5;
  top: 0;
  margin: 0 auto 0 6rem;
}
/* End of Featured Text */
/* End of Section 1 */

/* Section 2 */
.aboutme {
  position: relative;
  padding: 10rem 10rem 15rem 10rem;
}

/* About Me Text */
.about-me-text {
  width: 80%;
  margin: auto;
}

.about-me-text span {
  font-size: 5rem;
  color: #808080;
  letter-spacing: 0.5rem;
  line-height: 0.9;
  text-shadow: 0 0 1rem #9b0e0e;
  position: relative;
}

@keyframes aboutMeTextAnim {
  0% {
    color: #8c8c8c;
  }
  5% {
    color: #999999;
  }
  10% {
    color: #a6a6a6;
  }
  15% {
    color: #b2b2b2;
  }
  20% {
    color: #bfbfbf;
  }
  25% {
    color: #cccccc;
  }
  30% {
    color: #d8d8d8;
  }
  35% {
    color: #e5e5e5;
  }
  40% {
    color: #f2f2f2;
  }
  45% {
    color: #ffffff;
  }
  50% {
    color: #ffffff;
  }
  55% {
    color: #ffffff;
  }
  60% {
    color: #f2f2f2;
  }
  65% {
    color: #e5e5e5;
  }
  70% {
    color: #d8d8d8;
  }
  75% {
    color: #cccccc;
  }
  80% {
    color: #bfbfbf;
  }
  85% {
    color: #b2b2b2;
  }
  90% {
    color: #a6a6a6;
  }
  95% {
    color: #999999;
  }
  100% {
    color: #8c8c8c;
  }
}
/* End of About Me Text */

/* Section 2 Main Button */
.aboutme .main-btn {
  left: 50%;
  bottom: -5rem;
  transform: translateX(-50%);
}
/* End ofSection 2 Main Button */
/* End of Section 2 */

/* Section 3 */
.projects {
  width: 100%;
  height: 100%;
  padding: 10rem 0;
  margin-top: 1rem;
  position: relative;
}

/* Projects */
.projects {
  flex-wrap: wrap;
  padding-bottom: 15rem;
}

.project {
  width: 40rem;
  height: 45rem;
  overflow: hidden;
  margin: 5rem;
  background-color: #000;
  display: flex;
  justify-content: center;
  position: relative;
  border: 0.2rem dotted #9b0e0e;
  border-radius: 0.5rem;
  perspective: 20rem;
  transition: opacity 0.5s;
}

.project img {
  width: 90%;
  object-fit: cover;
  position: absolute;
  top: 2rem;
  opacity: 0.5;
  transition: top 4s 0.2s, opacity 0.2s;
}

.project:nth-child(odd):hover img {
  animation: oddImgAnim 4s 0.2s;
  opacity: 1;
}

@keyframes oddImgAnim {
  0% {
    transform: rotateY(0);
  }
  25% {
    transform: rotateY(-2deg) rotateX(2deg);
  }
  50% {
    transform: rotateY(2deg) rotateX(-2deg);
  }
  100% {
    transform: rotateY(0);
  }
}

.project:nth-child(even):hover img {
  animation: evenImgAnim 4s 0.2s;
  opacity: 1;
}

@keyframes evenImgAnim {
  0% {
    transform: rotateY(0);
  }
  25% {
    transform: rotateY(2deg) rotateX(-2deg);
  }
  50% {
    transform: rotateY(-2deg) rotateX(2deg);
  }
  100% {
    transform: rotateY(0);
  }
}
/* Big Project Image */
.project-img-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 0;
  background-color: rgba(0, 0, 0, 0.9);
  overflow: hidden scroll;
  z-index: 100;
  animation: imgWrapperAnim 1s forwards;
}

@keyframes imgWrapperAnim {
  0% {
    height: 0;
  }
  100% {
    height: 100%;
  }
}

.project-img {
  width: 100%;
  border-radius: 0.5rem;
  padding: 7rem 20rem;
  opacity: 0.9;
  display: block;
  transform-origin: top center;
  animation: imgAnim 1s 1s both;
}

@keyframes imgAnim {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}
/* End of Big Project Image */

/* Project Hide Button */
.project-hide-btn {
  position: fixed;
  top: 5rem;
  right: 5rem;
  background-color: transparent;
  border: none;
  color: #fff;
  font-size: 2rem;
  letter-spacing: 0.1rem;
  z-index: 200;
  transform: scale(0);
  visibility: hidden;
}

.change.project-hide-btn {
  transform: scale(1);
  visibility: visible;
  transition: transform 0.5s;
}

.change.project-hide-btn:hover {
  border-bottom: 0.5rem solid #9b0e0e;
}
/* End of Project Hide Button */
/* End of Projects */

/* Projects Button */
.projects-btn {
  left: 50%;
  transform: translate(-50%);
}

.projects-btn .main-btn-line {
  transition: all 0.5s;
}

.change > .main-btn-line:nth-child(1) {
  transform: rotateZ(45deg) translateX(-0.65rem);
}

.change > .main-btn-line:nth-child(2) {
  transform: rotateZ(-45deg) translateX(0.65rem);
}

.change > .main-btn-line:nth-child(3) {
  transform: rotateZ(90deg) translateX(-0.5rem);
  border-left: 0.1rem solid #fff;
  border-right: none;
}
/* End of Projects Button */
/* End of Section 3 */

/* Section 4 */
.services {
  position: relative;
  width: 100%;
}

/* Services */
.services-wrapper {
  width: 100%;
  flex-direction: column;
}

.service {
  width: 70%;
  margin: 2rem 0;
  border-bottom: 0.5rem solid #9b0e0e;
}

.service:hover {
  border-bottom: 0.5rem solid #d62121;
}

.service-btn {
  width: 100%;
  position: relative;
  display: block;
  height: 11rem;
}

.service-btn span {
  font-family: "Poppins", sans-serif;
  font-size: 6rem;
  font-weight: bold;
  color: #9b0e0e;
  position: absolute;
  right: 0;
  transition: right 0.5s;
}

.pie-wrapper {
  font-size: 10em;
  width: 1em;
  margin: auto;
  position: relative;
  height: 0;
  visibility: hidden;
  opacity: 0;
  transition: all 0.2s;
}

.change.pie-wrapper {
  height: 1em;
  margin-bottom: 5rem;
  visibility: visible;
  opacity: 1;
  transition: height 0.5s, opacity 0.5s 0.5s;
}

.pie-wrapper .pie {
  height: 100%;
  width: 100%;
  clip: rect(0, 1em, 1em, 0.5em);
  left: 0;
  position: absolute;
  top: 0;
}
.pie-wrapper .pie .h-circle {
  height: 100%;
  width: 100%;
  border: 0.1em solid;
  border-radius: 50%;
  clip: rect(0, 0.5em, 1em, 0);
  left: 0;
  position: absolute;
  top: 0;
  border-color: #d62121;
}
.pie-wrapper .label {
  background: #34495e;
  border-radius: 50%;
  bottom: 0.4em;
  color: #ecf0f1;
  display: block;
  font-size: 0.25em;
  left: 0.4em;
  line-height: 2.8em;
  position: absolute;
  right: 0.4em;
  text-align: center;
  top: 0.4em;
}
.pie-wrapper .label .smaller {
  color: #bdc3c7;
  font-size: 0.6em;
  padding-bottom: 20px;
  vertical-align: super;
}
.pie-wrapper .shadow {
  height: 100%;
  width: 100%;
  border: 0.1em solid #bdc3c7;
  border-radius: 50%;
}

/* 92% */
.pie-wrapper.progress-92 .pie {
  clip: rect(auto, auto, auto, auto);
}

.pie-wrapper.progress-92 .pie .left-side {
  transform: rotate(331deg);
}
.pie-wrapper.progress-92 .pie .right-side {
  transform: rotate(180deg);
}

/* 83% */
.pie-wrapper.progress-83 .pie {
  clip: rect(auto, auto, auto, auto);
}

.pie-wrapper.progress-83 .pie .left-side {
  transform: rotate(298deg);
}
.pie-wrapper.progress-83 .pie .right-side {
  transform: rotate(180deg);
}

/* 87% */
.pie-wrapper.progress-87 .pie {
  clip: rect(auto, auto, auto, auto);
}

.pie-wrapper.progress-87 .pie .left-side {
  transform: rotate(313deg);
}
.pie-wrapper.progress-87 .pie .right-side {
  transform: rotate(180deg);
}

/* 71% */
.pie-wrapper.progress-71 .pie {
  clip: rect(auto, auto, auto, auto);
}

.pie-wrapper.progress-71 .pie .left-side {
  transform: rotate(255deg);
}
.pie-wrapper.progress-71 .pie .right-side {
  transform: rotate(180deg);
}

/* 80% */
.pie-wrapper.progress-80 .pie {
  clip: rect(auto, auto, auto, auto);
}

.pie-wrapper.progress-80 .pie .left-side {
  transform: rotate(288deg);
}
.pie-wrapper.progress-80 .pie .right-side {
  transform: rotate(180deg);
}

/* 75% */
.pie-wrapper.progress-75 .pie {
  clip: rect(auto, auto, auto, auto);
}

.pie-wrapper.progress-75 .pie .left-side {
  transform: rotate(270deg);
}
.pie-wrapper.progress-75 .pie .right-side {
  transform: rotate(180deg);
}

/* .pie-wrapper.progress-45 .pie .left-side {
  transform: rotate(162deg);
}
.pie-wrapper.progress-45 .pie .right-side {
  display: none;
} */

/* End of Services */
/* End of Section 4 */

/* Section 5 */
.contact {
  position: relative;
  flex-direction: column;
  margin-top: 15rem;
}
/* Form */
.form-heading {
  font-family: "Poppins", sans-serif;
  font-size: 6rem;
  font-weight: 400;
  color: #9b0e0e;
  letter-spacing: 0.3rem;
  margin-bottom: 3rem;
  transition: opacity 0.3s;
}

.contact-form {
  flex-direction: column;
}

.contact-form-input {
  width: 60rem;
  padding: 0.5rem;
  margin: 1rem 0;
  background-color: rgba(0, 0, 0, 0.1);
  border: 0.1rem solid #9b0e0e;
  font-size: 1.7rem;
  font-weight: bold;
  color: #aaa;
  letter-spacing: 0.1rem;
  height: 5rem;
}

.contact-form-textarea {
  height: 20rem;
  resize: none;
}

.form-submit-btn {
  width: 20rem;
  height: 5rem;
  background-color: #9b0e0e;
  border: none;
  align-self: flex-start;
  font-size: 1.8rem;
  color: #fff;
  margin-bottom: 1rem;
}

/* Form Validation */
.message {
  font-size: 1.2rem;
  font-weight: 700;
  color: #f55e5e;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  margin: 0 auto 1rem 0;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.3s;
}

.error.message {
  visibility: visible;
  opacity: 1;
}
/* End of Form Validation */
/* End of Form */

/* Slideshow */
.slideshow {
  display: flex;
  width: 30rem;
  margin: 3rem 0;
  padding: 0 2rem;
}

.slideshow-link {
  width: 33.3%;
  filter: brightness(0.3);
  transition: filter 1.5s;
}

.slideshow-link:nth-child(1),
.slideshow-link:nth-child(3) {
  transition: width 0.5s, opacity 0.5s;
}

.slideshow-link:nth-child(2) {
  transition: filter 0.5s;
}

.slideshow-link img {
  width: 100%;
  padding: 0 1rem;
}

.faded-out {
  opacity: 0;
  width: 0;
}

.light {
  filter: brightness(1);
}
/* End of Slideshow */
/* End of Section 5 */

/* Responsive */
@media (min-width: 1150px) {
  .main-circle:hover {
    width: 61rem;
    height: 61rem;
  }
}

@media (max-width: 1600px) {
  .circle {
    width: 25rem;
    height: 25rem;
  }

  .project {
    margin: 2rem;
  }

  .about-me-text span {
    font-size: 4.5rem;
  }

  .service-btn span {
    font-size: 5.5rem;
  }
}

@media (max-width: 1480px) {
  .project {
    margin: 5rem;
  }
}

@media (max-width: 1400px) {
  .main-btn {
    width: 12.5rem;
    height: 12.5rem;
  }

  .about-me-text span {
    font-size: 4rem;
  }
}

@media (max-width: 1150px) {
  html {
    font-size: 56%;
  }

  .project {
    margin: 2rem;
  }

  .circle {
    display: none;
  }

  .navbar-link {
    margin: 0 2rem;
  }

  .about-me-text span {
    font-size: 3.5rem;
  }

  .project-img {
    padding: 7rem 11rem;
  }

  .project-hide-btn {
    right: 2.5rem;
    font-size: 1.7rem;
  }

  .service-btn {
    height: 11rem;
  }

  .service-btn span {
    font-size: 5rem;
  }

  .slideshow {
    margin: 3rem 0;
  }
}

@media (max-width: 900px) {
  html {
    font-size: 52%;
  }

  .menu-icon {
    right: 3.5rem;

  }

  .navbar-link {
    font-size: 1.5rem;
    margin: 0 1rem;
  }

  .section-heading {
    left: 5rem;
  }

  .about-me-text span {
    font-size: 3rem;
  }

  .service-btn {
    height: 9rem;
  }

  .service-btn span {
    font-size: 4.5rem;
  }
}

@media (max-width: 840px) {
  .project {
    margin: 5rem;
  }
}

@media (max-width: 690px) {
  html {
    font-size: 48%;
  }

  .menu-icon {
    right: 2.5rem;

  }

  .service-btn span {
    font-size: 3.3rem;
  }

  .contact-form-input {
    width: 40rem;
  }

  .slideshow-link img {
    padding: 0 1.1rem;
  }

  .form-heading {
    font-size: 4.5rem;
  }
}

@media (max-width: 600px) {
  html {
    font-size: 47%;
  }

  .logo {
    font-size: 1.6rem;
    top: 13rem;
    left: 50%;
    transform: translateX(-50%);
  }

  .navbar {
    justify-content: center;
    padding: 0;
  }
}

@media (max-width: 550px) {
  .section-heading {
    visibility: hidden;
  }
  .featured-text {
    visibility: hidden;
  }
  .aboutme {
    padding: 10rem 1rem 15rem 1rem;
  }
}
/* End of Responsive */
